> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Workspace SSH Keys

> Sync your account SSH keys into a workspace's authorized_keys.



## OpenAPI

````yaml POST /api/v1/workspaces/{id}/ssh-keys/sync
openapi: 3.1.0
info:
  title: Rigbox Public API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
tags:
  - name: Workspaces
  - name: CLI
  - name: Observability
  - name: Auth
  - name: API Keys
  - name: Access Control
  - name: Apps
  - name: App Catalog
  - name: Logs
  - name: AI
  - name: Tools
  - name: Snapshots
  - name: SSH Keys
  - name: Templates
  - name: Setup Scripts
  - name: Service Specs
  - name: Deploy
  - name: Community
  - name: User Settings
  - name: Roadmap
  - name: System
paths:
  /api/v1/workspaces/{id}/ssh-keys/sync:
    post:
      tags:
        - SSH Keys
      summary: Sync all account SSH keys to the workspace.
      description: Sync all of the account's SSH keys onto the running workspace.
      operationId: sync_workspace_ssh_keys
      parameters:
        - name: id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: SSH keys synced
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncSshKeysResponse'
      security:
        - bearer: []
components:
  schemas:
    SyncSshKeysResponse:
      type: object
      required:
        - synced
        - keys
      properties:
        keys:
          type: array
          items:
            $ref: '#/components/schemas/SshKeyEntry'
        synced:
          type: integer
          minimum: 0
    SshKeyEntry:
      type: object
      description: An SSH key entry from a workspace's authorized_keys.
      required:
        - fingerprint
        - key_type
        - comment
      properties:
        comment:
          type: string
        fingerprint:
          type: string
        key_type:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````